Subject: Bug#913: Inaccurate scaling of dialog boxes and fonts for large DPI screen in Windows 10

From: "Alves-Foss, James ([email-masked])" <[email-masked]>
Date: Tue, 4 Aug 2015 15:19:24 +0000

Package: x2goclient for  windows
Version:  4.0.5.0

Downloaded new version of x2goclient for a new Dell Laptop.   Screen resolution 3200x1800. OS Windows 10 (just checked, same problem on similar machine in Windows 8.1)
When I open the main program, the fonts and windows do not scale well in the session selection boxes
When I create a new session and try to open it, I can not see the list of open sessions to connect to.

This appears to be a scaling issue for high DPI systems.

I tried Windows 7, Windows 8 compatibility modes. I tries to disable display scaling on high DPI systems (see attached images)